//
//  DatabaseHeleper.swift
//  CloudKitGuide
//
//  Created by Merlyn on 7/26/15.
//  Copyright (c) 2015 The App Lady. All rights reserved.
//

import UIKit

class DatabaseHeleper: NSObject {
    // Class Properties
    
    //Class functions
    func saveImageInDocumentsDir(image: UIImage) -> NSURL {
        let dirPaths = NSSearchPathForDirectoriesInDomains(.DocumentDirectory, .UserDomainMask, true)
        let docsDir: AnyObject = dirPaths[0]
        let filePath = docsDir.stringByAppendingPathComponent("currentImage.png")
        UIImageJPEGRepresentation(image, 0.8).writeToFile(filePath, atomically: true)
        
        return NSURL.fileURLWithPath(filePath)!
    }
    
    func getPhotoFromUrl(photoUrl:String) -> UIImage {
        var imgData = NSData()
        var image = UIImage()
        
        if var url = NSURL(string: photoUrl) {
            if let imgData = NSData(contentsOfURL:url) { // may return nil
                image = UIImage(data:imgData)!
            } else {
                image = UIImage(named: "noimage.png")!
            }
        }
        
        return image
    }
    
    func randomStringWithLength (len : Int) -> String {
        let needle : NSString = "0123456789"
        var randomString : NSMutableString = NSMutableString(capacity: len)
        
        for (var i=0; i < len; i++){
            var length = UInt32 (needle.length)
            var rand = arc4random_uniform(length)
            randomString.appendFormat("%C", needle.characterAtIndex(Int(rand)))
        }
        
        return randomString as String
    }
}
