//
//  mainViewController.swift
//  CloudKitGuide
//
//  Created by Merlyn on 7/25/15.
//  Copyright (c) 2015 The App Lady. All rights reserved.
//

import UIKit

import CloudKit // Import the CloudKit module

class mainViewController: UIViewController {
    // A property variable for the large textView
    @IBOutlet weak var textView: UITextView!
    
    // A shortcut for the AppDelegate class
    let thisApp = UIApplication.sharedApplication().delegate as! AppDelegate
    
    // A shortcut for the CloudKit's public database
    let database = CKContainer.defaultContainer().publicCloudDatabase
   
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // These statements set 3 properties of the textView
        let patternImage = UIImage(named: "chalkboard-background")!
        textView.backgroundColor = UIColor(patternImage: patternImage)
        textView.textColor = UIColor.whiteColor()
        textView.text = "Hello user!"
    }

    override func viewDidAppear(animated: Bool) {
        super.viewDidAppear(false)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
    }

    // This function is fired when the app user tap the Execute Code button
    @IBAction func executeCodeButtonClicked() {
        textView.text = "You clicked the Execute Code button!"
    }
    
}
